extends Node2D

export var layer1 = Vector2(60.0, 65.0)
export var layer2 = Vector2(50.0, 60.0)
export var layer3 = Vector2(35.0, 50.0)
export var layer4 = Vector2(20.0, 40.0)
export var layer5 = Vector2(10.0, 35.0)

# Called when the node enters the scene tree for the first time.
func _ready():
	var path = "res://@content/" + Game.character + "/parallax/"
	$Background/Artwork.texture = Utils.load_file(path + "background.png")
	$ParallaxLayer1/Artwork.texture = Utils.load_file(path + "layer1.png")
	$ParallaxLayer2/Artwork.texture = Utils.load_file(path + "layer2.png")
	$ParallaxLayer3/Artwork.texture = Utils.load_file(path + "layer3.png")
	$ParallaxLayer4/Artwork.texture = Utils.load_file(path + "layer4.png")
	$ParallaxLayer5/Artwork.texture = Utils.load_file(path + "layer5.png")
	pass # Replace with function body.